Summary:        A program that measures many of the CPU resources that other programs use
Name:           time
Version:        1.9
Release:        4%{?dist}
License:        GPLv3+ and GFDL
URL:            https://www.gnu.org/software/%{name}/
Source0:        https://ftp.gnu.org/gnu/%{name}/%{name}-%{version}.tar.gz

Patch3000:      time-1.9-Close-outfp-before-exec.patch

BuildRequires:  autoconf automake bash coreutils gcc make sed texinfo

%description
`time' is a program that measures many of the CPU resources, such as
time and memory, that other programs use.  The GNU version can format
the output in arbitrary ways by using a printf-style format string to
include various resource measurements.  Some systems do not provide
much information about program resource use; `time' reports
unavailable information as zero values.

%prep
%autosetup -p1
echo "%{version}" > .tarball-version

%build
autoreconf -fiv
%configure
%make_build

%install
%make_install
rm -f %{buildroot}%{_infodir}/dir

%check
make check

%files
%license COPYING
%doc AUTHORS ChangeLog NEWS README
%{_bindir}/time
%{_infodir}/time.info*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.9-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.9-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.9-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Jul 6 2022 Xiaojie Chen <jackxjchen@tencent.com> - 1.9-1
- Initial build
